# TextStyleOptions | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Interface TextStyleOptions

interface TextStyleOptions {
scale : number;
shadowColor : string;
shadowXpos : number;
shadowYpos : number;
styleOptions : TextStyle | IConfig;
}

- Defined in src/ui/text.ts:48

##### Index

### Properties

scale
shadowColor
shadowXpos
shadowYpos
styleOptions

## Properties

### scale

scale: number

- Defined in src/ui/text.ts:49

### shadowColor

shadowColor: string

- Defined in src/ui/text.ts:51

### shadowXpos

shadowXpos: number

- Defined in src/ui/text.ts:52

### shadowYpos

shadowYpos: number

- Defined in src/ui/text.ts:53

### styleOptions

styleOptions: TextStyle | IConfig

- Defined in src/ui/text.ts:50